$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.199.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.199.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C31F1DC076F60D64CED572021D599895436A473044D5EAF1390A20121161BEE6'
  checksumType = 'sha256'
  checksum64 = 'C31F1DC076F60D64CED572021D599895436A473044D5EAF1390A20121161BEE6'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.199-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
